## ros-humble-rmf-traffic-examples 3.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rmf_traffic_examples)

find_package(rmf_traffic REQUIRED)

add_executable(three_robots src/three_robots.cpp)
target_link_libraries(three_robots PUBLIC rmf_traffic::rmf_traffic)

install(
  TARGETS three_robots
  RUNTIME DESTINATION lib/${PROJECT_NAME}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)

# Export ament index path
file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/share/ament_index/resource_index/packages/${PROJECT_NAME} "")
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/share/ament_index/resource_index/packages/${PROJECT_NAME} DESTINATION share/ament_index/resource_index/packages)

file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/share/${PROJECT_NAME}/hook/ament_prefix_path.dsv "prepend-non-duplicate;AMENT_PREFIX_PATH;")
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/share/${PROJECT_NAME}/hook/ament_prefix_path.dsv DESTINATION share/${PROJECT_NAME}/hook)

=== debian/changelog ===
ros-humble-rmf-traffic-examples (3.0.1-1jammy) jammy; urgency=high

  * Switch to rst changelogs
  * Contributors: Yadunund

 -- Grey <grey@openrobotics.org>  Sun, 04 Jun 2023 16:00:00 -0000

ros-humble-rmf-traffic-examples (3.0.0-1jammy) jammy; urgency=high



 -- Grey <grey@openrobotics.org>  Sun, 02 Oct 2022 16:00:00 -0000

ros-humble-rmf-traffic-examples (2.0.0-1jammy) jammy; urgency=high

  * Added examples for rmf_traffic

 -- Grey <grey@openrobotics.org>  Thu, 17 Mar 2022 16:00:00 -0000

## ros-humble-rmf-traffic-examples 3.0.3

=== debian/changelog ===
ros-humble-rmf-traffic-examples (3.0.3-1bookworm) bookworm; urgency=high



 -- Grey <grey@openrobotics.org>  Thu, 21 Dec 2023 16:00:00 -0000

ros-humble-rmf-traffic-examples (3.0.1-1bookworm) bookworm; urgency=high

  * Switch to rst changelogs
  * Contributors: Yadunund

 -- Grey <grey@openrobotics.org>  Sun, 04 Jun 2023 16:00:00 -0000

ros-humble-rmf-traffic-examples (3.0.0-1bookworm) bookworm; urgency=high



 -- Grey <grey@openrobotics.org>  Sun, 02 Oct 2022 16:00:00 -0000

ros-humble-rmf-traffic-examples (2.0.0-1bookworm) bookworm; urgency=high

  * Added examples for rmf_traffic

 -- Grey <grey@openrobotics.org>  Thu, 17 Mar 2022 16:00:00 -0000

=== debian/control ===
Source: ros-humble-rmf-traffic-examples
Section: misc
Priority: optional
Maintainer: Grey <grey@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), cmake, ros-humble-rmf-traffic, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rmf-traffic-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-rmf-traffic, ros-humble-ros-workspace
Description: Examples of how to use the rmf_traffic library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

# Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rmf-traffic-examples//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rmf-traffic-examples//opt/ros/humble/lib/${DEB_HOST_MULTIARCH}

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
